Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.aspectwerkz.annotation.instrumentation.asm
Class AsmAnnotationHelper.NullClassAdapter

    java.lang.Object
      org.codehaus.aspectwerkz.annotation.instrumentation.asm.AsmAnnotationHelper.NullClassAdapter

All Implemented Interfaces:
  org.objectweb.asm.ClassVisitor

Direct Known Subclasses:
  AlreadyAddedMethodAdapter, AlreadyAddedMethodVisitor, AsmAnnotationHelper.ClassAnnotationExtractor, AsmAnnotationHelper.FieldAnnotationExtractor, AsmAnnotationHelper.MethodAnnotationExtractor, AsmClassInfo.ClassNameRetrievalClassAdapter, ConstructorCallVisitor.LookaheadNewDupInvokeSpecialInstructionClassAdapter

Enclosing class:
  AsmAnnotationHelper

    public static class AsmAnnotationHelper.NullClassAdapter

extends Object
implements org.objectweb.asm.ClassVisitor

A NullClassAdapter that does nothing. Can be used to speed up ASM and avoid unecessary bytecode writing thru a regular ClassWriter when this is not needed (read only purpose).

Field Summary
`static org.objectweb.asm.ClassVisitor` | `NULL_CLASS_ADAPTER`

Constructor Summary
`AsmAnnotationHelper.NullClassAdapter()`

Method Summary
`void` | `visit(int i, int i1, String s, String s1, String[] strings, String s2)`
`void` | `visitAttribute(org.objectweb.asm.Attribute attribute)`
`void` | `visitEnd()`
`void` | `visitField(int i, String s, String s1, Object o, org.objectweb.asm.Attribute attribute)`
`void` | `visitInnerClass(String s, String s1, String s2, int i)`
`org.objectweb.asm.CodeVisitor` | `visitMethod(int i, String s, String s1, String[] strings, org.objectweb.asm.Attribute attribute)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NULL_CLASS_ADAPTER

    public static final org.objectweb.asm.ClassVisitor NULL_CLASS_ADAPTER

Constructor Detail

### AsmAnnotationHelper.NullClassAdapter

    public AsmAnnotationHelper.NullClassAdapter()

Method Detail

### visit

    public void visit(int i,
                      int i1,
                      String s,
                      String s1,
                      String[] strings,
                      String s2)

  Specified by:
    `visit` in interface `org.objectweb.asm.ClassVisitor`

### visitInnerClass

    public void visitInnerClass(String s,
                                String s1,
                                String s2,
                                int i)

  Specified by:
    `visitInnerClass` in interface `org.objectweb.asm.ClassVisitor`

### visitField

    public void visitField(int i,
                           String s,
                           String s1,
                           Object o,
                           org.objectweb.asm.Attribute attribute)

  Specified by:
    `visitField` in interface `org.objectweb.asm.ClassVisitor`

### visitMethod

    public org.objectweb.asm.CodeVisitor visitMethod(int i,
                                                     String s,
                                                     String s1,
                                                     String[] strings,
                                                     org.objectweb.asm.Attribute attribute)

  Specified by:
    `visitMethod` in interface `org.objectweb.asm.ClassVisitor`

### visitAttribute

    public void visitAttribute(org.objectweb.asm.Attribute attribute)

  Specified by:
    `visitAttribute` in interface `org.objectweb.asm.ClassVisitor`

### visitEnd

    public void visitEnd()

  Specified by:
    `visitEnd` in interface `org.objectweb.asm.ClassVisitor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Jonas Bonér, Alexandre Vasseur. All Rights Reserved.